> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Latest served app build for a workflow

Most recent served app build for a workflow; build is null when none exists yet.

` GET /v1/agent-runs/latest-app-build `

Latest served app build for a workflow

Most recent served app build for a workflow; build is null when none exists yet.

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` BearerAuth `: ` apiKey `

  - Credential: ` Authorization ` in ` header `

  - JWT or API key, sent as: Bearer <token>

## Parameters

### ` workflowId ` (query, required)

Workflow id

- ` value `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` build `: type ` object `

      - ` appUrl `: type ` string `

      - ` buildId `: type ` string `

      - ` createdAt `: type ` string `

      - ` workflowId `: type ` string `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```